System Requirements

Windows

Supported Versions
Supported Browsers
  • Edge
  • Edge Beta
  • Edge Dev
  • Chrome
  • Chrome Beta
  • Chrome Dev
  • Brave
  • Brave Beta
  • Brave Dev
  • Firefox
  • Firefox Beta
  • Firefox Dev
  • Firefox Nightly
  • Opera
  • Opera GX
  • Vivaldi

macOS

Supported Versions
Supported Browsers
  • Safari
  • Edge
  • Edge Beta
  • Edge Dev
  • Chrome
  • Chrome Beta
  • Chrome Dev
  • Brave
  • Brave Beta
  • Brave Dev
  • Firefox
  • Firefox Beta
  • Firefox Dev
  • Firefox Nightly
  • Opera
  • Opera GX
  • Vivaldi

System Requirements FAQ

Do I need admin rights?
Yes, there's no way around this. Blocker needs admin rights for various reasons and there's no way to install the app without it.
Do you have a version for my phone?
Android, iOS or other operating systems like ChromeOS are not supported. Limitations in the operating system prevent apps like mine from being hard to delete.
Do you have a Linux version?
No, unfortunately as a single person business it's hard enough supported two platforms. Thanks for understanding!